

:root {
    --radius: .625rem;
    --background: var(--bg);
    --foreground: var(--textColor);
    --card: oklch(100% 0 0);
    --card-foreground: oklch(13% .028 261.692);
    --popover: var(--accent0);
    --popover-foreground: var(--textColor);
    --primary: var(--accent9);
    --primary-foreground: var(--accent1);
    --secondary: var(--accent1);
    --secondary-foreground: var(--textColor);
    --muted: var(--accent2);
    --muted-foreground: var(--textSecondaryColor);
    --accent: var(--accent1);
    --accent-foreground: var(--textColor);
    --destructive: oklch(57.7% .245 27.325);
    --border: var(--ac-border);
    --input: oklch(92.8% .006 264.531);
    --ring: oklch(70.7% .022 261.325);
    --chart-1: oklch(64.6% .222 41.116);
    --chart-2: oklch(60% .118 184.704);
    --chart-3: oklch(39.8% .07 227.392);
    --chart-4: oklch(82.8% .189 84.429);
    --chart-5: oklch(76.9% .188 70.08);
    --sidebar: oklch(98.5% .002 247.839);
    --sidebar-foreground: oklch(13% .028 261.692);
    --sidebar-primary: oklch(21% .034 264.665);
    --sidebar-primary-foreground: oklch(98.5% .002 247.839);
    --sidebar-accent: oklch(96.7% .003 264.542);
    --sidebar-accent-foreground: oklch(21% .034 264.665);
    --sidebar-border: oklch(92.8% .006 264.531);
    --sidebar-ring: oklch(70.7% .022 261.325);
    --secondary-hover: var(--secondary)
}

@supports (color:color-mix(in lab, red, red)) {
    :root {
        --secondary-hover: color-mix(in oklab, var(--secondary)99.2%, black)
    }
}

.dark,
.iso50 {
    --background: var(--bg);
    --foreground: var(--textColor);
    --card: oklch(21% .034 264.665);
    --card-foreground: oklch(98.5% .002 247.839);
    --popover: var(--accent0);
    --popover-foreground: var(--textColor);
    --primary: var(--accent9);
    --primary-foreground: var(--accent1);
    --secondary: var(--accent1);
    --secondary-foreground: var(--textColor);
    --muted: var(--accent2);
    --muted-foreground: var(--textSecondaryColor);
    --accent: var(--accent1);
    --accent-foreground: var(--textColor);
    --destructive: oklch(70.4% .191 22.216);
    --border: var(--ac-border);
    --input: var(--ac-border);
    --ring: oklch(55.1% .027 264.364);
    --chart-1: oklch(48.8% .243 264.376);
    --chart-2: oklch(69.6% .17 162.48);
    --chart-3: oklch(76.9% .188 70.08);
    --chart-4: oklch(62.7% .265 303.9);
    --chart-5: oklch(64.5% .246 16.439);
    --sidebar: oklch(21% .034 264.665);
    --sidebar-foreground: oklch(98.5% .002 247.839);
    --sidebar-primary: oklch(48.8% .243 264.376);
    --sidebar-primary-foreground: oklch(98.5% .002 247.839);
    --sidebar-accent: oklch(27.8% .033 256.848);
    --sidebar-accent-foreground: oklch(98.5% .002 247.839);
    --sidebar-border: oklch(100% 0 0/.1);
    --sidebar-ring: oklch(55.1% .027 264.364);
    --secondary-hover: var(--secondary)
}

@supports (color:color-mix(in lab, red, red)) {

    .dark,
    .iso50 {
        --secondary-hover: color-mix(in oklab, var(--secondary)98%, white)
    }
}

:root {
    --bg: #fff;
    --accent0: #f5f5f5;
    --accent1: #fbfbfb;
    --accent2: #f6f6f6;
    --accent3: #ececec;
    --accent4: #dadada;
    --accent5: #aaa;
    --accent6: #666;
    --accent7: #363636;
    --accent8: #101010;
    --accent9: #0a0a0a;
    --fg: #282828;
    --textColor: #535353;
    --headingColor: #1b1b18;
    --highlightColor: #4ade80;
    --textSecondaryColor: #90908c;
    --selection: #66f7d8;
    --selection-text: var(--textColor);
    --overlay: #000000e6;
    --ac-border: #e0e0e0;
    --border-light: #f0f0f0;
    --border-hover: #d6d6d6;
    --button-on-secondary: #f0f0f0;
    --button-on-secondary-hover: #e8e8e8;
    --box-shadow-color: #fafafa
}

.dark {
    color-scheme: dark;
    --bg: #151719;
    --accent0: #181a1c;
    --accent1: #1c1e20;
    --accent2: #242628;
    --accent3: #343638;
    --accent4: #66686a;
    --accent5: #8e9092;
    --accent6: #b0b2b4;
    --accent7: #d2d4d6;
    --accent8: #e6e8ea;
    --accent9: #fafafa;
    --fg: #caccce;
    --textColor: #ababb4;
    --textSecondaryColor: var(--accent4);
    --headingColor: #e0e0e6;
    --highlightColor: #4ade80;
    --selection: #1cc29f;
    --selection-text: #fff;
    --overlay: #000000e6;
    --ac-border: #252729;
    --border-light: #212223;
    --border-hover: var(--ac-border)
}

/* Alpine.js - 隐藏未初始化的元素 */
[x-cloak] { display: none !important; }

